ImageDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.ImageDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class ImageDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.ImageDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ImageDecorator

extends BaseDecorator

The ImageDecorator is nice for when the images are within a table and may have attributes that would need to reflect the changing values in iteration loop

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object columnValue)` The main method to override here.
`java.lang.String` | `getBorder()` Returns the border_el.
`java.lang.String` | `getOnmouseout()` Returns the onmouseout_el.
`java.lang.String` | `getOnmouseover()` Returns the onmouseover_el.
`java.lang.String` | `getSrc()` Returns the src_el.
`java.lang.String` | `getTitle()` Returns the title_el
`void` | `release()`
`void` | `setBorder(java.lang.String border_el)` Sets the border_el.
`void` | `setOnmouseout(java.lang.String onmouseout_el)` Sets the onmouseout_el.
`void` | `setOnmouseover(java.lang.String onmouseover_el)` Sets the onmouseover_el.
`void` | `setSrc(java.lang.String src_el)` Sets the src_el.
`void` | `setTitle(java.lang.String title_el)` Sets the title_el

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, doStartTag, generateErrorComment, getName, getParent, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Constructor Detail

### ImageDecorator

    public ImageDecorator()

Method Detail

### decorate

    public java.lang.String decorate(java.lang.Object columnValue)

  Description copied from class: `BaseDecorator`
  The main method to override here. This should look something like this: `String name = null; try { name = (String) evalAttr("name", this.name, String.class); } catch (NullAttributeException ne) { log.debug("bean " + this.name + " not found"); return ""; } catch (JspException je) { log.debug("can't evaluate name [" + this.name + "]: ", je); return ""; } StringBuffer buf = new StringBuffer(1024); buf.append(""); buf.append(obj.toString()); buf.append(""); return buf.toString()`

  Specified by:
    `decorate` in class `BaseDecorator`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseDecorator`

### getBorder

    public java.lang.String getBorder()

  Returns the border_el.

  Returns:
    String

### getOnmouseover

    public java.lang.String getOnmouseover()

  Returns the onmouseover_el.

  Returns:
    String

### getOnmouseout

    public java.lang.String getOnmouseout()

  Returns the onmouseout_el.

  Returns:
    String

### getSrc

    public java.lang.String getSrc()

  Returns the src_el.

  Returns:
    String

### getTitle

    public java.lang.String getTitle()

  Returns the title_el

  Returns:
    String

### setBorder

    public void setBorder(java.lang.String border_el)

  Sets the border_el.

  Parameters:
    `border_el` - The border_el to set

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover_el)

  Sets the onmouseover_el.

  Parameters:
    `onmouseover_el` - The onmouseover_el to set

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout_el)

  Sets the onmouseout_el.

  Parameters:
    `onmouseout_el` - The onmouseout_el to set

### setSrc

    public void setSrc(java.lang.String src_el)

  Sets the src_el.

  Parameters:
    `src_el` - The src_el to set

### setTitle

    public void setTitle(java.lang.String title_el)

  Sets the title_el

  Parameters:
    `title_el` - The title_el to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.